type: prog

niveau: défi

titre: Sans caractère spécial
uuid: 6be0f45f-c3d2-4799-9075-7d50ab4d5e8f

objectif: Construire une chaine à partir d'un texte sans les caractères spéciaux

énoncé: |
  On souhaite construire une chaine identique à une autre chaine `texte` mais en omettant tous les caractères qui sont autres que des __lettres__, des __chiffres__ et l'__espace__.

  La chaine de départ `texte` est reçue en entrée.

  ### Entrée

  - `texte` (chaine de caractères)

  ### Sortie attendue

  texte filtré (chaine de caractères)

  ### À faire

  Compléter le code pour produire en sortie le __texte filtré__, sans les caractères spéciaux.

  ### Exemples

  1. Texte avec lettres et espaces

   - Entrées :
  ```
      La maison du coin

  ```

   - Sortie attendue :
  ```
       La maison du coin

  ```

  2. Texte avec caractères spéciaux

   - Entrées :
  ```
      Trans$12 *76

  ```

   - Sortie attendue :
  ```
       Trans12 76

  ```

ébauches:
    python: !include exec.py
    java: !include exec.java
    kotlin: !include exec.kt


rétroactions:
    positive: Bravo !
    négative: Parcourir la chaine avec une boucle pour construire le même texte mais sans y accumuler les caractères spéciaux, grâce à une instruction sélective et les fonctions appropriées…

tests: !include tests.yml

auteur: Wafaa Niar Dinedane / Patrick Lafrance
licence: 2021 CC-BY-SA

